Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jsynedit.search
Class Search

    java.lang.Object
      jsynedit.search.Search

    public class Search

extends java.lang.Object

Field Summary
`static java.lang.String` | `findPattern`
`static boolean` | `ignoreCase`
`static SearchMatcher` | `matcher`
`static java.lang.String` | `pythonScript`
`static java.lang.String` | `replacePattern`
`static boolean` | `reverseSearch`
`static boolean` | `script`
`static boolean` | `useRegexp`

Constructor Summary
`Search()`

Method Summary
`static boolean` | `find(JEditTextArea textArea, int start)`
`static java.lang.String` | `getFindPattern()`
`static boolean` | `getIgnoreCase()`
`static boolean` | `getPythonScript()`
`static java.lang.String` | `getPythonScriptString()` $$$$$ public static void load() { findPattern = Jext.getProperty("find"); replacePattern = Jext.getProperty("replace"); useRegexp = Jext.getBooleanProperty("useregexp"); ignoreCase = Jext.getBooleanProperty("ignorecase"); script = Jext.getBooleanProperty("replacescript"); pythonScript = Jext.getProperty("pythonscript"); } public static void save() { Jext.setProperty("find", findPattern); Jext.setProperty("replace", replacePattern); Jext.setProperty("pythonscript", pythonScript); Jext.setProperty("ignorecase", ignoreCase ?
`static boolean` | `getRegexp()`
`static java.lang.String` | `getReplacePattern()`
`static SearchMatcher` | `getSearchMatcher()`
`static SearchMatcher` | `getSearchMatcher(boolean reverseOK)`
`static boolean` | `replace(JEditTextArea textArea)`
`static int` | `replaceAll(JEditTextArea textArea, int start, int end)`
`static void` | `setFindPattern(java.lang.String findPattern)`
`static void` | `setIgnoreCase(boolean icase)`
`static void` | `setPythonScript(boolean script)`
`static void` | `setPythonScriptString(java.lang.String pythonScript)`
`static void` | `setRegexp(boolean useRegexp)`
`static void` | `setReplacePattern(java.lang.String replacePattern)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### matcher

    public static SearchMatcher matcher

### replacePattern

    public static java.lang.String replacePattern

### findPattern

    public static java.lang.String findPattern

### pythonScript

    public static java.lang.String pythonScript

### useRegexp

    public static boolean useRegexp

### ignoreCase

    public static boolean ignoreCase

### script

    public static boolean script

### reverseSearch

    public static boolean reverseSearch

Constructor Detail

### Search

    public Search()

Method Detail

### getPythonScriptString

    public static java.lang.String getPythonScriptString()

  $$$$$ public static void load() { findPattern = Jext.getProperty("find"); replacePattern = Jext.getProperty("replace"); useRegexp = Jext.getBooleanProperty("useregexp"); ignoreCase = Jext.getBooleanProperty("ignorecase"); script = Jext.getBooleanProperty("replacescript"); pythonScript = Jext.getProperty("pythonscript"); } public static void save() { Jext.setProperty("find", findPattern); Jext.setProperty("replace", replacePattern); Jext.setProperty("pythonscript", pythonScript); Jext.setProperty("ignorecase", ignoreCase ? "on" : "off"); Jext.setProperty("useregexp", useRegexp ? "on" : "off"); Jext.setProperty("replacescript", script ? "on" : "off"); }

### setPythonScriptString

    public static void setPythonScriptString(java.lang.String pythonScript)

### getPythonScript

    public static boolean getPythonScript()

### setPythonScript

    public static void setPythonScript(boolean script)

### getRegexp

    public static boolean getRegexp()

### setRegexp

    public static void setRegexp(boolean useRegexp)

### getIgnoreCase

    public static boolean getIgnoreCase()

### setIgnoreCase

    public static void setIgnoreCase(boolean icase)

### setFindPattern

    public static void setFindPattern(java.lang.String findPattern)

### getFindPattern

    public static java.lang.String getFindPattern()

### setReplacePattern

    public static void setReplacePattern(java.lang.String replacePattern)

### getReplacePattern

    public static java.lang.String getReplacePattern()

### getSearchMatcher

    public static SearchMatcher getSearchMatcher()
                                          throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getSearchMatcher

    public static SearchMatcher getSearchMatcher(boolean reverseOK)
                                          throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### find

    public static boolean find(JEditTextArea textArea,
                               int start)
                        throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### replace

    public static boolean replace(JEditTextArea textArea)

### replaceAll

    public static int replaceAll(JEditTextArea textArea,
                                 int start,
                                 int end)
                          throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.